Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for e-Mail API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.emailadapter.appconn
Class EmailConfiguration

    java.lang.Object
      com.stc.connector.emailadapter.appconn.EmailConfiguration

All Implemented Interfaces:
  com.stc.connector.persistence.bpel.PersistableData

    public class EmailConfiguration

extends java.lang.Object
implements com.stc.connector.persistence.bpel.PersistableData

Class which holds email connection specific information.

Version:
  $Version$
Author:
  $Author: jchang $

Field Summary
`static java.lang.String` | `SSL_FACTORY`

Constructor Summary
`EmailConfiguration()` Creates new EmailConfiguration.

Method Summary
`protected javax.mail.Authenticator` | `getAuthenticator()` Returns new `Authenticator` for use during session construction.
`boolean` | `getCheckAuthRecv()`
`boolean` | `getCheckAuthSend()`
`java.lang.String` | `getHeaderEncoding()`
`java.lang.String` | `getHostRecv()`
`java.lang.String` | `getHostSend()` End user properties exposed through the GUI follow after this point.
`java.lang.String` | `getPasswordRecv()`
`java.lang.String` | `getPasswordSend()`
`int` | `getPortRecv()`
`int` | `getPortSend()`
`protected java.util.Properties` | `getProperties()` Returns the contained `Properties` object for use during session construction.
`boolean` | `getSessionAuth()`
`java.lang.String` | `getTextEncoding()`
`java.lang.String` | `getUserRecv()`
`java.lang.String` | `getUserSend()`
`void` | `initialize(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)` Initialize the EmailConfiguration instance with the Properties bundle.
`void` | `persist(com.stc.connector.persistence.bpel.DataOutput dout)` Persists (serialize) this message.
`void` | `restore(com.stc.connector.persistence.bpel.DataInput din)` Restore (deserialize) this message.
`void` | `setCheckAuthRecv(boolean val)`
`void` | `setCheckAuthSend(boolean val)`
`void` | `setHeaderEncoding(java.lang.String val)`
`void` | `setHostRecv(java.lang.String val)`
`void` | `setHostSend(java.lang.String val)`
`void` | `setPasswordRecv(java.lang.String val)`
`void` | `setPasswordSend(java.lang.String val)`
`void` | `setPortRecv(int val)`
`void` | `setPortSend(int val)`
`void` | `setSessionAuth(boolean val)`
`void` | `setTextEncoding(java.lang.String val)`
`void` | `setUserRecv(java.lang.String val)`
`void` | `setUserSend(java.lang.String val)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SSL_FACTORY

    public static final java.lang.String SSL_FACTORY

See Also:
  Constant Field Values

Constructor Detail

### EmailConfiguration

    public EmailConfiguration()

  Creates new EmailConfiguration.

Method Detail

### initialize

    public void initialize(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)
                    throws EmailApplicationException

  Initialize the EmailConfiguration instance with the Properties bundle.

  Parameters:
    `originalConfig` - The Properties bundle containing the configuration information.
  Throws:
    `EmailApplicationException`

### getProperties

    protected java.util.Properties getProperties()

  Returns the contained `Properties` object for use during session construction.

### getAuthenticator

    protected javax.mail.Authenticator getAuthenticator()

  Returns new `Authenticator` for use during session construction.

### getHostSend

    public java.lang.String getHostSend()

  End user properties exposed through the GUI follow after this point.

### setHostSend

    public void setHostSend(java.lang.String val)

### getHostRecv

    public java.lang.String getHostRecv()

### setHostRecv

    public void setHostRecv(java.lang.String val)

### getPortSend

    public int getPortSend()

### setPortSend

    public void setPortSend(int val)

### getTextEncoding

    public java.lang.String getTextEncoding()

### setTextEncoding

    public void setTextEncoding(java.lang.String val)

### getHeaderEncoding

    public java.lang.String getHeaderEncoding()

### setHeaderEncoding

    public void setHeaderEncoding(java.lang.String val)

### getPortRecv

    public int getPortRecv()

### setPortRecv

    public void setPortRecv(int val)

### getUserSend

    public java.lang.String getUserSend()

### setUserSend

    public void setUserSend(java.lang.String val)

### getUserRecv

    public java.lang.String getUserRecv()

### setUserRecv

    public void setUserRecv(java.lang.String val)

### getPasswordSend

    public java.lang.String getPasswordSend()

### setPasswordSend

    public void setPasswordSend(java.lang.String val)

### getPasswordRecv

    public java.lang.String getPasswordRecv()

### setPasswordRecv

    public void setPasswordRecv(java.lang.String val)

### getCheckAuthSend

    public boolean getCheckAuthSend()

### setCheckAuthSend

    public void setCheckAuthSend(boolean val)

### getCheckAuthRecv

    public boolean getCheckAuthRecv()

### setCheckAuthRecv

    public void setCheckAuthRecv(boolean val)

### getSessionAuth

    public boolean getSessionAuth()

### setSessionAuth

    public void setSessionAuth(boolean val)

### persist

    public void persist(com.stc.connector.persistence.bpel.DataOutput dout)
                 throws java.lang.Exception

  Persists (serialize) this message.

  Specified by:
    `persist` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dout` - The DataOutput to which the Java Bean message is persisted.
  Throws:
    `java.lang.Exception` - upon error.

### restore

    public void restore(com.stc.connector.persistence.bpel.DataInput din)
                 throws java.lang.Exception

  Restore (deserialize) this message.

  Specified by:
    `restore` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dis` - The DataInput from which the Java Bean message is restored.
  Throws:
    `java.lang.Exception` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for e-Mail API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD